org.eclnt.jsfserver.elements.componentnodes

## Class LONGPOLLINGNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.LONGPOLLINGNode

- All Implemented Interfaces:
    java.io.Serializable

      public class LONGPOLLINGNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LONGPOLLINGNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LONGPOLLINGNode` | `bindActionListener(IActionListenerDelegation value)`
    `LONGPOLLINGNode` | `bindAvoidvalidations(IDynamicContentBindingObject value)`
    `LONGPOLLINGNode` | `bindClientname(IDynamicContentBindingObject value)`
    `LONGPOLLINGNode` | `bindComment(IDynamicContentBindingObject value)`
    `LONGPOLLINGNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `LONGPOLLINGNode` | `bindDuration(IDynamicContentBindingObject value)`
    `LONGPOLLINGNode` | `bindLongpollingport(IDynamicContentBindingObject value)`
    `LONGPOLLINGNode` | `bindLongpollingurl(IDynamicContentBindingObject value)`
    `LONGPOLLINGNode` | `bindRendered(IDynamicContentBindingObject value)`
    `LONGPOLLINGNode` | `bindRestarttrigger(IDynamicContentBindingObject value)`
    `LONGPOLLINGNode` | `bindStatusbarneutral(IDynamicContentBindingObject value)`
    `LONGPOLLINGNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `LONGPOLLINGNode` | `setActionListener(java.lang.String value)`
    `LONGPOLLINGNode` | `setAttributemacro(java.lang.String value)`
    `LONGPOLLINGNode` | `setAvoidvalidations(boolean value)`
    `LONGPOLLINGNode` | `setAvoidvalidations(java.lang.String value)`
    `LONGPOLLINGNode` | `setClientname(java.lang.String value)`
    `LONGPOLLINGNode` | `setComment(java.lang.String value)`
    `LONGPOLLINGNode` | `setConfiginfo(java.lang.String value)`
    `LONGPOLLINGNode` | `setDuration(int value)`
    `LONGPOLLINGNode` | `setDuration(java.lang.String value)`
    `LONGPOLLINGNode` | `setId(java.lang.String value)`
    `LONGPOLLINGNode` | `setLongpollingport(java.lang.String value)`
    `LONGPOLLINGNode` | `setLongpollingurl(java.lang.String value)`
    `LONGPOLLINGNode` | `setReference(java.lang.String value)`
    `LONGPOLLINGNode` | `setRendered(boolean value)`
    `LONGPOLLINGNode` | `setRendered(java.lang.String value)`
    `LONGPOLLINGNode` | `setRestarttrigger(java.lang.String value)`
    `LONGPOLLINGNode` | `setStatusbarneutral(boolean value)`
    `LONGPOLLINGNode` | `setStatusbarneutral(java.lang.String value)`
    `LONGPOLLINGNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LONGPOLLINGNode

          public LONGPOLLINGNode()

  - ### Method Detail

    - #### setId

          public LONGPOLLINGNode setId(java.lang.String value)

    - #### setActionListener

          public LONGPOLLINGNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public LONGPOLLINGNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public LONGPOLLINGNode setAttributemacro(java.lang.String value)

    - #### setAvoidvalidations

          public LONGPOLLINGNode setAvoidvalidations(java.lang.String value)

    - #### bindAvoidvalidations

          public LONGPOLLINGNode bindAvoidvalidations(IDynamicContentBindingObject value)

    - #### setAvoidvalidations

          public LONGPOLLINGNode setAvoidvalidations(boolean value)

    - #### setClientname

          public LONGPOLLINGNode setClientname(java.lang.String value)

    - #### bindClientname

          public LONGPOLLINGNode bindClientname(IDynamicContentBindingObject value)

    - #### setComment

          public LONGPOLLINGNode setComment(java.lang.String value)

    - #### bindComment

          public LONGPOLLINGNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public LONGPOLLINGNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public LONGPOLLINGNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDuration

          public LONGPOLLINGNode setDuration(java.lang.String value)

    - #### bindDuration

          public LONGPOLLINGNode bindDuration(IDynamicContentBindingObject value)

    - #### setDuration

          public LONGPOLLINGNode setDuration(int value)

    - #### setLongpollingport

          public LONGPOLLINGNode setLongpollingport(java.lang.String value)

    - #### bindLongpollingport

          public LONGPOLLINGNode bindLongpollingport(IDynamicContentBindingObject value)

    - #### setLongpollingurl

          public LONGPOLLINGNode setLongpollingurl(java.lang.String value)

    - #### bindLongpollingurl

          public LONGPOLLINGNode bindLongpollingurl(IDynamicContentBindingObject value)

    - #### setReference

          public LONGPOLLINGNode setReference(java.lang.String value)

    - #### setRendered

          public LONGPOLLINGNode setRendered(java.lang.String value)

    - #### bindRendered

          public LONGPOLLINGNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public LONGPOLLINGNode setRendered(boolean value)

    - #### setRestarttrigger

          public LONGPOLLINGNode setRestarttrigger(java.lang.String value)

    - #### bindRestarttrigger

          public LONGPOLLINGNode bindRestarttrigger(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public LONGPOLLINGNode setStatusbarneutral(java.lang.String value)

    - #### bindStatusbarneutral

          public LONGPOLLINGNode bindStatusbarneutral(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public LONGPOLLINGNode setStatusbarneutral(boolean value)

    - #### setStylevariant

          public LONGPOLLINGNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public LONGPOLLINGNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.